Subject: Re: [PATCH] Documentation/fetch-options: emit recurse-submodules, jobs unconditionally

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Sep 2016 13:54:45 -0700

Stefan Beller <[email-masked]> writes:

> After a bit more research, I think 8f0700dd33f (fetch/pull: Add the
> 'on-demand' value to the --recurse-submodules option) is the culprit,
> where this patch should have been squashed into, as that made the
> both locations word for word equal.

Hmph, my digging points to elsewhere.  7811d960 ("pull: Document the
"--[no-]recurse-submodules" options", 2011-02-07) which is older
than 8f0700dd ("fetch/pull: Add the 'on-demand' value to the
--recurse-submodules option", 2011-03-06) seems to be the real
change that pulled the description of recurse-submodules made in
fetch-options into "show this only when we are not describing pull".

Unfortunately it is not clear why we actively wanted to be sketchier
when showing "git help fetch"; otherwise the change would have been
made to the existing description there without adding a new entry to
"git-pull.txt".